<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
//Бан на форуме
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' and `serius` = 'forum' LIMIT 1");
if ($ban -> num_rows > 0) {
header('location: '.ROOT.'ban.php?mode=forum');
}
if ($id) {
$type = $db -> query("SELECT `id`,`name` FROM `forums` WHERE `id` = '".$id."'");
if ($type -> num_rows > 0) $the = $type -> fetch_assoc(); else $the = false;
} else $the = false;
//Выводим разделы
$diz -> head('Форум');
require_once (ROOT.'/new_mail.php');
$diz -> title("<a href='./'>Форум</a>/<b>".$the['name']."</b>");
if ($type -> num_rows > 0){
$for = $db -> query("SELECT `id`,`name` FROM `forum_razdel` WHERE `forum` = '".$id."'  ORDER BY `sid` ASC");
$msg.='<div class="fon">';
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$t = $db -> dbcount('COUNT(`id`)','forum_tems',"`razdel` = '".$assoc['id']."'");
$p = $db -> dbcount('COUNT(`id`)','forum_posts',"`razdel` = '".$assoc['id']."'");
$msg .= ''.$diz -> img('r.png').'<a href="razdel.php?id='.$assoc['id'].'">'.$assoc['name'].'</a>('.$t.'/'.$p.')</br>';
}
} else {
$msg .= 'Нет созданных разделов';
}
}else{$msg .='Форум не существует!';}
$msg.='</div>';
require_once ('foot.php');
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
?>